You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
Dragos Oancea e59ca8fb8b
Fix crash when FCD frame has bad length but CRC is OK.
5 months ago
config add to make sure config dir is there for AC_CONFIG_AUX_DIR 10 years ago
debian Bump library version to 3.0.0 2 years ago
doc Revert "Change the URL of docbook from sourceforge to docbook's cdn." 11 months ago
m4 spandsp DSP tweaks to avoid problems with the LPC10 code compiled with the latest GCC 6.2 series compilers. Various other additional tweaks to spandsp. 5 years ago
spandsp The band filter for G.722 could cause numerical overflow in unusual circumstances with the maximum possiblke signal level. The filter output is now saturated to 16 bits to avoid this. 6 years ago
spandsp-sim Various little cleanups in spandsp 7 years ago
src Fix crash when FCD frame has bad length but CRC is OK. 5 months ago
test-data Various little cleanups in spandsp 7 years ago
tests Tweaks and feature additions to some of the spandsp tests. 4 years ago
.drone.yml Update Drone CI signature. 12 months ago
.gitignore libs/spandsp/.gitignore: added temporary files in test-data 7 years ago
.update bump 8 years ago
AUTHORS inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
COPYING inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
ChangeLog inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
DueDiligence inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
Makefile.am Bump library version to 3.0.0 2 years ago
NEWS inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
README Allow writing of T.85 format TIFF files 9 years ago
README.testdata inital checkin of spandsp from http://www.soft-switch.org/downloads/snapshots/spandsp/spandsp-20080829.tar.gz 14 years ago
autogen.sh fix autogen libtoolize check on osx 2 years ago
bootstrap.sh Add bootstrap.sh 2 years ago
configure.ac Bump library version to 3.0.0 2 years ago
configure.gnu FS-10074: [libtiff] stop using embedded libtiff. Build now requires system libtiff 5 years ago
spandsp.pc.in Various little tweaks to spandsp to stop warnings with newer compilers 10 years ago
spandsp.spec Fix dependency value for devel package 2 years ago
unpack_g722_data.sh Moved spandsp to a more recent version. A huge number of little changes occur here, as recently spandsp 12 years ago
unpack_g726_data.sh Moved spandsp to a more recent version. A huge number of little changes occur here, as recently spandsp 12 years ago
unpack_gsm0610_data.sh FS-10875: #resolve Portability issues for non-bash interpreters. 4 years ago
unpack_v56ter_data.sh Moved spandsp to a more recent version. A huge number of little changes occur here, as recently spandsp 12 years ago
wrapper.xsl Revert "Change the URL of docbook from sourceforge to docbook's cdn." 11 months ago
yum-prepare.sh Various small cleanups in spandsp 8 years ago

README

spandsp 0.0.6 - A DSP library for telephony
-------------------------------------------

SpanDSP is a library of DSP functions for telephony, in the 8000 sample per
second world of E1s, T1s, and higher order PCM channels. It contains low level
functions, such as basic filters. It also contains higher level functions, such
as cadenced supervisory tone detection, and a complete software FAX machine.
The software has been designed to avoid intellectual property issues, using
mature techniques where all relevant patents have expired. See the file
DueDiligence for important information about these intellectual property issues.

The library is licenced under the LGPL 2.1 licence. The test suite, and some support
programs are licenced under the GPL 2 licence. The full text of these licences can
be found in the file COPYING.

Dependencies
------------

spandsp depends on various other packages for various tasks. Most of these
dependencies relate to building the test suite.

libtiff (and libtiff-devel on most Linux distributions) is required to
build the spandsp library.

libaudiofile (and libaudiofile-devel) is required to build the test suite
fftw (and fftw-devel) is required to build the test suite. Version 2 or 3 of
FFTW may be used. Spandsp adapts to the differences between them.

fltk (and fltk-devel), Fl_Cartesian and Fl_Audio_Meter are required to build
the test suite with GUI interfaces for some of the tests. The tests will build
without these packages, but the GUI features will not be available.
Fl_Cartesian and Fl_Audio_Meter can be downloaded from
http://www.soft-switch.org/downloads.

Steve Underwood <steveu@coppice.org>